/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-01 15:00:33
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-06 15:40:26
 */
#include "ins_version.hpp"
#include <cstdio>

#define VERSION_STRING_LENGTH 10

namespace ins{
    
    /**
     * @description: 获取版本
     * @param {*}
     * @return {*}
     */    
    const char* VersionString(){
        static char version[VERSION_STRING_LENGTH];
        snprintf(version, VERSION_STRING_LENGTH, "v%d.%d.%d", INS_MAJOR_VERSION, INS_MINOR_VERSION,
                INS_PATCH_VERSION);
        return version;
    }

    const int MajorVersion() { return INS_MAJOR_VERSION; }
    const int MinorVersion() { return INS_MINOR_VERSION; }
    const int PatchVersion() { return INS_PATCH_VERSION; }
};